summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/beartype/Manifest2
-rw-r--r--dev-python/beartype/beartype-0.22.8.ebuild46
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.42.2.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.42.2.ebuild67
-rw-r--r--dev-python/elasticsearch/elasticsearch-9.2.0.ebuild2
-rw-r--r--dev-python/fsspec/Manifest1
-rw-r--r--dev-python/fsspec/fsspec-2025.12.0.ebuild60
-rw-r--r--dev-python/hishel/Manifest3
-rw-r--r--dev-python/hishel/hishel-1.1.5.ebuild73
-rw-r--r--dev-python/hishel/hishel-1.1.7.ebuild (renamed from dev-python/hishel/hishel-1.1.4.ebuild)0
-rw-r--r--dev-python/ipython/Manifest2
-rw-r--r--dev-python/ipython/ipython-9.8.0.ebuild151
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/mkdocstrings-python/Manifest1
-rw-r--r--dev-python/mkdocstrings-python/mkdocstrings-python-2.0.1.ebuild44
-rw-r--r--dev-python/opentelemetry-api/Manifest3
-rw-r--r--dev-python/opentelemetry-api/opentelemetry-api-1.37.0.ebuild61
-rw-r--r--dev-python/opentelemetry-api/opentelemetry-api-1.39.0.ebuild (renamed from dev-python/opentelemetry-api/opentelemetry-api-1.36.0.ebuild)2
-rw-r--r--dev-python/opentelemetry-sdk/Manifest3
-rw-r--r--dev-python/opentelemetry-sdk/opentelemetry-sdk-1.36.0.ebuild51
-rw-r--r--dev-python/opentelemetry-sdk/opentelemetry-sdk-1.39.0.ebuild (renamed from dev-python/opentelemetry-sdk/opentelemetry-sdk-1.37.0.ebuild)2
-rw-r--r--dev-python/opentelemetry-semantic-conventions/Manifest3
-rw-r--r--dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.37.0.ebuild52
-rw-r--r--dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.39.0.ebuild (renamed from dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.36.0.ebuild)2
-rw-r--r--dev-python/pbs-installer/Manifest3
-rw-r--r--dev-python/pbs-installer/pbs-installer-2025.10.07.ebuild35
-rw-r--r--dev-python/pbs-installer/pbs-installer-2025.12.2.ebuild31
-rw-r--r--dev-python/pyside/files/pyside-6.10.1-pass-ninja-opts.patch20
-rw-r--r--dev-python/pyside/pyside-6.10.1-r1.ebuild9
-rw-r--r--dev-python/sabctools/Manifest1
-rw-r--r--dev-python/sabctools/sabctools-9.1.0.ebuild40
-rw-r--r--dev-python/sphinx/Manifest1
-rw-r--r--dev-python/sphinx/sphinx-9.0.3.ebuild144
-rw-r--r--dev-python/translate-toolkit/Manifest1
-rw-r--r--dev-python/translate-toolkit/translate-toolkit-3.17.3.ebuild129
-rw-r--r--dev-python/vcrpy/Manifest1
-rw-r--r--dev-python/vcrpy/vcrpy-8.0.0.ebuild64
42 files changed, 887 insertions, 307 deletions
diff --git a/dev-python/beartype/Manifest b/dev-python/beartype/Manifest
index 86786df90a46..54fde4d2e4f5 100644
--- a/dev-python/beartype/Manifest
+++ b/dev-python/beartype/Manifest
@@ -9,3 +9,5 @@ DIST beartype-0.22.6.tar.gz 1588975 BLAKE2B fc7dac31577a359c28f03f78b6cd1208b94e
DIST beartype-0.22.6.tar.gz.provenance 9212 BLAKE2B 128cefbdf00782d3fe430b638648af00b6661ed4096eb2660584aef7ae4504fdfa20a6580bb9ad2770e67a04077d795910faff442675b0f32580fe18c501ce51 SHA512 20c39534d109a36aebb6f4dec49ca9ccb06503ed1132b62334105eb55d8fe1876013d2d67c4f485c93b6e90696db02a1f829d8634a6850745d1ee694c900bb0d
DIST beartype-0.22.7.tar.gz 1599627 BLAKE2B d2d59c7035383a78ab8d237158da78a8f33c1bb501651c30dbf18fb2b0b782c7bcc329337b66e76c4c620702abadccf9c5ad53cb70a9f975d85a58c00a89b8b7 SHA512 a33d9c3e8e9fb9b7149d764f1892a6fb9863b08f7fd653af6936259f04e810a047f896eb53471f0cd3406a1b02bd7f10e5c67b9744958810ee0b0f40e65407af
DIST beartype-0.22.7.tar.gz.provenance 9322 BLAKE2B 7aba9887475722122a6d93fc50be132460bcbf0c35aa50b3bbee0c4567de7e0a935188367c154faf71ec380ace85220a092594b8e3be1773191c7b53ab4f9646 SHA512 bddf6805175ed53462fbe63bfcee43aa46450485633a31da7a801610e3b186d52efff07660d1a6a34be92bcf1dfac70e6a0c756d95517fc611044bdbf49b5ae6
+DIST beartype-0.22.8.tar.gz 1602262 BLAKE2B 561542263c8d6aef58b58ec8f4b75ee74acc439531f1921be9402a15f88165c0e8ca85396819511442c242ab5e5f4bd6687e2c676f870023be0d91c2e1121874 SHA512 2cf95951eada0ea3bedc6710b57702d4e50a5d3a4f9eb18516890eeba8bd689087db23fe5f5078f3501ebee9274cece0aea9670b6da2af23e881232109b029bf
+DIST beartype-0.22.8.tar.gz.provenance 9275 BLAKE2B c4895258ffc8b98e1fea44433df9111d3bc0075c75a9597f9933f4d9604d1acc4535315dd42d249b4781e29acc5f78d1c2f43f6bff529c6577bc64ab1cbb5cb0 SHA512 40849c0b9b8ae017cd628dfba0893dff53e20623e07743780dac0a2d6acf851e6e215ac9bcef53628e42d0b87df31e84b953f852c8a881e6f5407d996b8aa0f0
diff --git a/dev-python/beartype/beartype-0.22.8.ebuild b/dev-python/beartype/beartype-0.22.8.ebuild
new file mode 100644
index 000000000000..23c57fb9868b
--- /dev/null
+++ b/dev-python/beartype/beartype-0.22.8.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/beartype/beartype
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Unbearably fast runtime type checking in pure Python"
+HOMEPAGE="
+ https://pypi.org/project/beartype/
+ https://github.com/beartype/beartype/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+BDEPEND="
+ test? (
+ dev-python/click[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.22[${PYTHON_USEDEP}]
+ dev-python/mypy[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/redis[${PYTHON_USEDEP}]
+ dev-python/sqlalchemy[${PYTHON_USEDEP}]
+ dev-python/xarray[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # fragile performance test
+ beartype_test/a00_unit/a70_decor/test_decorwrapper.py::test_wrapper_fail_obj_large
+ # test for building docs, apparently broken too
+ beartype_test/a90_func/z90_lib/a00_sphinx
+ # poetry, also broken
+ beartype_test/a90_func/a50_external/test_poetry.py
+ # broken
+ beartype_test/a90_func/a90_pep/test_pep561_static.py::test_pep561_mypy
+)
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 944a50da528e..9c19b640c47e 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,3 +5,4 @@ DIST boto3-1.41.2.gh.tar.gz 1047105 BLAKE2B ac62862f9430604d6056e9ee9c0c6747bc8a
DIST boto3-1.41.5.gh.tar.gz 1047828 BLAKE2B c4ff68f8851f56539998186d6dab74d015e5752aa3e1f29226ff67b7457618f48d04637a6532e73016203970be82ca3fe9f295dbf6fb68c6a126058bfe452999 SHA512 c41c80a42513ae9aa09789aed69798b8946042d9cbf9de67c8541cce254cacc06ee965d53d61b0bd773762e4bf49e533d6c9ca11c5bce390544be317b60a601b
DIST boto3-1.42.0.gh.tar.gz 1051896 BLAKE2B 5bc423d834f4baba83b1e332b67fbfbe76b7dc1dc61e12750ebf3d25bde987d76815039980d3b30b5a0c8904c9fd4045900e03a7d593f99f5ec446e83e491279 SHA512 cd204476d704732077f12fa4be1ffb6ed6c535f5997ffdaae188d9b632604d613b60f0644768ccc4454255afefd2fe762f3590a1bbeada1ab53a2eee98421cb1
DIST boto3-1.42.1.gh.tar.gz 1054688 BLAKE2B 9722ba8fb97df81abfbcc26f5ab5d5c7819a3cd1f265af9938820968ba79232ed453c594db3bc661ac6bed50058638903700e8c8e16613b59c88bc97807ad966 SHA512 961cae734e2e8db1e0511d19f24f5b509b14fbcc9d32327fa39928b21d502516b4dec8a2723c342bdc77649df292086f2b8281b30d54396f9849445b61fff8b7
+DIST boto3-1.42.2.gh.tar.gz 1054980 BLAKE2B 5d361d756f41fb2e1df9f4397ba64a842388abb8f8f239b19c450ab062ec999c10c6a46770a52b3f9f664614c54093959fdbb85cff81bd712cb9b431604661a1 SHA512 1c24227ed467c9406c1cb781a46796d7748f44bbc5dddb53ad1153202111a08f33de7c7696f8294ac57df960a67a338cf37620c13df852cddb8d21ed909cbf20
diff --git a/dev-python/boto3/boto3-1.42.2.ebuild b/dev-python/boto3/boto3-1.42.2.ebuild
new file mode 100644
index 000000000000..6f9b5b5d57b1
--- /dev/null
+++ b/dev-python/boto3/boto3-1.42.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.16.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 63f9e8f6bffb..b045452f912a 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -5,3 +5,4 @@ DIST botocore-1.41.2.gh.tar.gz 15504253 BLAKE2B 3c3967e3876ec2529ed0fbd192594f96
DIST botocore-1.41.5.gh.tar.gz 15519699 BLAKE2B 05c9cd0768013d6e3af76ad9daf8b957bb8d6e3f17b3bfb85d4dc73de36ab71ff5da14306d5147375ec1d5a3080f5b25c056e2796c7918f21aba1fafe32deff8 SHA512 8f95ce652ef670129966aca8265022c79544bcb0927504ee0567272412437dc8789df10c7f77696434864ec541b6b17dc39aabb1ec16ee690a22617fe8d7da03
DIST botocore-1.41.6.gh.tar.gz 15619213 BLAKE2B 132f1020643f335793393f34545d7f13c0e69394ccaa4ad047694e681832ea340ee76925879e3bcff45145fda387f6b2a81ca9e69d424fe39b8754e04aee541d SHA512 15ecad28923a7ab80c749856ce9e7b02b14eaf9f2346786f0943b3a450bbe94eacd3b2f8275b8b2e6612d6c1faf53aa8788fb790722471e49c6fdf7c3cc2dd81
DIST botocore-1.42.1.gh.tar.gz 15695042 BLAKE2B f0587a7e8112d0fd80cb40fb0da6cf88f3c0ec567a803a062f295624ca3541e0adb4cfc6d039e4bfdbcbf0c4ed07ae0117ce1ce691c6e95914bc4767d57324d4 SHA512 627ae08b65839f48fd24b567951e45363bb5d0c1ff566701a5396f6c6b0e5c58ce66143eb5bab64656d80c0751aad22af04a5d1f048d234a854325139c408846
+DIST botocore-1.42.2.gh.tar.gz 15699929 BLAKE2B 9f809924aeb031313806c70207c2063c0a421695b2be1a246f886f3214ca1f7fee1ba25b456b654a93c1d682ed7988e9f5648ac91b1703a0ff534603b4e566f4 SHA512 e23157d1ef297f35cddc73ac43604b46e6274fbd1938b8bcb3a9dc142f4c47e377e8f3675e5045755e1ad70914c56a7a84ad3d39798f5486300a25ff3f4464ca
diff --git a/dev-python/botocore/botocore-1.42.2.ebuild b/dev-python/botocore/botocore-1.42.2.ebuild
new file mode 100644
index 000000000000..ee8074e67dce
--- /dev/null
+++ b/dev-python/botocore/botocore-1.42.2.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/elasticsearch/elasticsearch-9.2.0.ebuild b/dev-python/elasticsearch/elasticsearch-9.2.0.ebuild
index 2a2ad1a1db96..9770d5966e06 100644
--- a/dev-python/elasticsearch/elasticsearch-9.2.0.ebuild
+++ b/dev-python/elasticsearch/elasticsearch-9.2.0.ebuild
@@ -23,7 +23,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0/$(ver_cut 1)"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 arm64 ~x86"
RDEPEND="
<dev-python/aiohttp-4[${PYTHON_USEDEP}]
diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index b897f50e46e3..5fe3ee010421 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1,2 +1,3 @@
DIST filesystem_spec-2025.10.0.gh.tar.gz 447778 BLAKE2B 144e3f00139d2a8dd34641f5c00fb5a8e01b2cb4be8e42dded3e0411bd81c9a1ac193833c51b99d95dbf8142e6c9ba4cc1a68f7b831e5f5ab5459059f2fcf56a SHA512 e4b1ee742721eb1be4f98f30f2d27adf394038de9fb3be301a58e0046c4bc3840ffcd63660dc2cf97f4cbcf888276d25a91d3bd5d19844c167bf3d8de365060a
+DIST filesystem_spec-2025.12.0.gh.tar.gz 449477 BLAKE2B eb884da751cb0671da3159ee21ce4810523c3fe032ffe396e79ea3460e03b1c1834e2741c414537ebd50c16050e184bff2fa832b2e135cfc528f0d8ad3dfe274 SHA512 ae4fe4c1d8ddf7528418f34d874d4e051c044e37bc9da18953a072e9ccdcf9eab521ecff94fd30b68164bd015143503262799e951576e41b31bfe14fe1d0a968
DIST filesystem_spec-2025.9.0.gh.tar.gz 442812 BLAKE2B 83ff3f4f9b58fb38803dd3eae7a3307a41af8fd7385f097bade053106633c40dd20edcf4ef8610d99cf0a6e8f2906711777b3abd96afe59047f9ab0692eb9a7e SHA512 cb972b9c9d3c8f6f899665337581164da14fbdb5bf3422268468bf0cc1ff2b0a1cad66fe2a048eea9cdff95fc6f34361a5ccdc11802e84b558989d4744c7f3d9
diff --git a/dev-python/fsspec/fsspec-2025.12.0.ebuild b/dev-python/fsspec/fsspec-2025.12.0.ebuild
new file mode 100644
index 000000000000..ebe416c30466
--- /dev/null
+++ b/dev-python/fsspec/fsspec-2025.12.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+MY_P=filesystem_spec-${PV}
+DESCRIPTION="A specification that python filesystems should adhere to"
+HOMEPAGE="
+ https://github.com/fsspec/filesystem_spec/
+ https://pypi.org/project/fsspec/
+"
+# upstream removed tests in 2024.6.0
+SRC_URI="
+ https://github.com/fsspec/filesystem_spec/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/tqdm[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+
+# Note: this package is not xdist-friendly
+EPYTEST_PLUGINS=( pytest-{asyncio,mock,rerunfailures} )
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_test() {
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet
+ fsspec/implementations/tests/test_reference.py::test_async_cat_file_ranges
+ fsspec/implementations/tests/test_github.py
+ fsspec/implementations/tests/test_gist.py
+ )
+
+ epytest -o tmp_path_retention_policy=all
+}
diff --git a/dev-python/hishel/Manifest b/dev-python/hishel/Manifest
index b7ddcff15881..7865e58efd87 100644
--- a/dev-python/hishel/Manifest
+++ b/dev-python/hishel/Manifest
@@ -1,4 +1,3 @@
DIST hishel-0.1.5.gh.tar.gz 1065622 BLAKE2B 926801f579a57cc2b45cb6cd5326459493452d34b32a2725b906307dcc4575b1297b35ffc626e51acc5805216731552d58c672dedb0541f2c771f153daee960d SHA512 b1f850895b147da616ace381d98ac9b6a15386d7e79d64a57a4e87f9bd0b42009a6ffa15fe1f8e46c57f8bc664c3af97d46e5adb81211e30fae87dab898f7734
-DIST hishel-1.1.4.gh.tar.gz 1097778 BLAKE2B 0e2569a0e3c956d3df498f8b3ce5da267a584b0c452541ebeb7d43cc8433ab9d929594ff2487394effeac00dec27bc2c8be48ef4e6cb64cfaf28bc5c0b2d6e4e SHA512 ff52c048edaef0fa50f2c38371e33128ec8f1ae1682d78de49c1a48ee7cec82cc21ba9e4ef82cb349fd6e95c032d60cea5ce4b01cc8dcb6e0e4ecfd08fb4bfdc
-DIST hishel-1.1.5.gh.tar.gz 1098331 BLAKE2B 5b3b9fc3770842bc1323c0ca46718d9ce82265dc11321f3f9335aa69fa1f6a78384125139a249af3b268d9035d213b4dc3f09532b0a06158c1986746285a2757 SHA512 47de167f3e24a7db05cbcb1b8d549b0abf9fe4d39829a0a41ab7f86f71697ac4ea78c32ad3901d5edca5e520fd1862e47ab79dd0ce635abe37224ff0ad37869e
DIST hishel-1.1.6.gh.tar.gz 1098160 BLAKE2B a02509ba9516e9b1125c6f40d2eeadcc79932586ff60d709050eb6123422fb77584dd7aa8749c4efa9f434323d1e3d916bbc80cbddcd089628ce5ceaf2e70272 SHA512 56c330ccc47f5eced158b00a972508a5f9c14ec09c8263297e12c57de9f105ea200807988f36607d2b21500eeb7d0389069e55c77f258d62550ed1ed6af8aa11
+DIST hishel-1.1.7.gh.tar.gz 1099100 BLAKE2B b51c0daa98b771528697c00ab50c58966354ce6a838feb818511c0aadc178c47e59537b92e4cdd2a705fe8af2f5cccaf7af91c6a4ad5808091a0ea7fdd296f5c SHA512 cf2f8d52afcf5f1eb01ded5fda630fd3bf2dd76536ca9cd54f6d7fa7de4afee1b08c4c3ccc78ae4a207c655dd8a9595e8aa0f94a8ff8cd00cad6e746643a26e0
diff --git a/dev-python/hishel/hishel-1.1.5.ebuild b/dev-python/hishel/hishel-1.1.5.ebuild
deleted file mode 100644
index f11ce5dc514c..000000000000
--- a/dev-python/hishel/hishel-1.1.5.ebuild
+++ /dev/null
@@ -1,73 +0,0 @@
-# Copyright 2024-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1
-
-DESCRIPTION="An elegant HTTP Cache implementation for HTTPX and HTTP Core"
-HOMEPAGE="
- https://github.com/karpetrosyan/hishel/
- https://pypi.org/project/hishel/
-"
-SRC_URI="
- https://github.com/karpetrosyan/${PN}/archive/refs/tags/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64"
-
-RDEPEND="
- >=dev-python/anyio-4.9.0[${PYTHON_USEDEP}]
- >=dev-python/anysqlite-0.0.5[${PYTHON_USEDEP}]
- >=dev-python/httpx-0.28.1[${PYTHON_USEDEP}]
- >=dev-python/msgpack-1.1.2[${PYTHON_USEDEP}]
- >=dev-python/typing-extensions-1.14.1[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- ${RDEPEND}
- dev-python/hatch-fancy-pypi-readme[${PYTHON_USEDEP}]
- test? (
- dev-db/redis
- >=dev-python/boto3-1.15.3[${PYTHON_USEDEP}]
- >=dev-python/inline-snapshot-0.28.0[${PYTHON_USEDEP}]
- >=dev-python/redis-6.2.0[${PYTHON_USEDEP}]
- >=dev-python/time-machine-2.19.0[${PYTHON_USEDEP}]
- >=dev-python/trio-0.30.0[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_PLUGINS=( anyio )
-distutils_enable_tests pytest
-
-src_test() {
- local EPYTEST_DESELECT=(
- # Internet
- tests/test_async_httpx.py
- tests/test_requests.py
- tests/test_sync_httpx.py
- )
-
- local redis_pid="${T}"/redis.pid
- local redis_port=6379
-
- einfo "Starting Redis"
- "${EPREFIX}"/usr/sbin/redis-server - <<- EOF
- daemonize yes
- pidfile ${redis_pid}
- port ${redis_port}
- bind 127.0.0.1 ::1
- EOF
-
- # Run the tests
- distutils-r1_src_test
-
- # Clean up afterwards
- kill "$(<"${redis_pid}")" || die
-}
diff --git a/dev-python/hishel/hishel-1.1.4.ebuild b/dev-python/hishel/hishel-1.1.7.ebuild
index f11ce5dc514c..f11ce5dc514c 100644
--- a/dev-python/hishel/hishel-1.1.4.ebuild
+++ b/dev-python/hishel/hishel-1.1.7.ebuild
diff --git a/dev-python/ipython/Manifest b/dev-python/ipython/Manifest
index 60162439c8e3..868c0134f805 100644
--- a/dev-python/ipython/Manifest
+++ b/dev-python/ipython/Manifest
@@ -4,3 +4,5 @@ DIST ipython-9.4.0.tar.gz 4385338 BLAKE2B 20bf17c945ab2c727aa340a500e2f452dadd44
DIST ipython-9.5.0.tar.gz 4389137 BLAKE2B c9d0cccac9a7a0711425e74ecfde8bdb7789d8289d58d86dccaddd06c1012f4c5f94aedf444f8b6c313d04f7617c5d9adc191d7b25426d8f70622435207acbe5 SHA512 fddf470a03ed94dfe2e193dce0d7228bd1143706ce1cd189348d6778eb7d1650a1589e49bc050214337b5fd9c30e7f1d91f871bc0d4a0a04d1a227747a81a132
DIST ipython-9.6.0.tar.gz 4396932 BLAKE2B 8e674c65f01dff76f4fc0bdd70bac64735cb188737c3b1c0b25fda407e2e7cd2231603306b49568bb74accba975c9dd63d08e7bda8ad8fae20be622ce3f6769e SHA512 32128f60bd5ef133f6f16636ec66bb407b8b8499aa40aa960076ad1ab78d150c5bea3a5508a4284302dd950e7a92ee045f9665c29914adfabd1eca7d8f50c470
DIST ipython-9.7.0.tar.gz 4422115 BLAKE2B c79ed9d48daa647d3430f8f8a6cb7ea58be3bf9f283be0fb0a68bc530859db5f9cfd8419cef8c783ac7ae939fc111dd4a01841fa22f544135cda536100afbc6c SHA512 d611bd9c36a7497c4757895a074d89ef1bb0ac8def6c819bbe084879f6d44f506a5fa30bddff2249b5e0bb363206eb09b3e311037643ce8f17012513a2285e9f
+DIST ipython-9.8.0.tar.gz 4424940 BLAKE2B 8b4d5673be8e4164a06afe15b6f277d94c0f7196c81c2a2a6195732d0d0f3c353ad9d78c5702ef93edbd1dd44f732332afcfdaa10a2377f2ec9f47318e41b14a SHA512 1f7be5df369ff9c8a5905529286d59927775b47766f6a61ad97f062fb8a068aa9875610e5b313207bf26013ac4dc6d2b24d4d28c3b54586e1f08193d980a6eba
+DIST ipython-9.8.0.tar.gz.provenance 9236 BLAKE2B ca790e6cb3f0bd3e16e319e6283bdf3f36926a5b8238fdfe02057fe6f6254a549398f5109987e90f8179ba9c39c18e8a4dd029c9612801122f68e30d02cd5bc2 SHA512 26d9183e825e2fbc6fe98669e9ae63fe7652fa00e6b927811c438fc7bb5b4b857a9a7d1ba8fc59201de51087726344193962319da91e4aa0c93fcb907f8b655f
diff --git a/dev-python/ipython/ipython-9.8.0.ebuild b/dev-python/ipython/ipython-9.8.0.ebuild
new file mode 100644
index 000000000000..3fbbc42c3929
--- /dev/null
+++ b/dev-python/ipython/ipython-9.8.0.ebuild
@@ -0,0 +1,151 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYPI_VERIFY_REPO=https://github.com/ipython/ipython
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE='readline(+),sqlite,threads(+)'
+
+inherit distutils-r1 optfeature pypi virtualx
+
+DESCRIPTION="Advanced interactive shell for Python"
+HOMEPAGE="
+ https://ipython.org/
+ https://github.com/ipython/ipython/
+ https://pypi.org/project/ipython/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="examples gui notebook nbconvert +smp test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/decorator-4.3.2[${PYTHON_USEDEP}]
+ >=dev-python/ipython-pygments-lexers-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jedi-0.18.1[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-inline-0.1.5[${PYTHON_USEDEP}]
+ >=dev-python/pexpect-4.3[${PYTHON_USEDEP}]
+ >=dev-python/prompt-toolkit-3.0.41[${PYTHON_USEDEP}]
+ <dev-python/prompt-toolkit-3.1[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.11.0[${PYTHON_USEDEP}]
+ >=dev-python/stack-data-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.13.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.11)
+"
+
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ app-text/dvipng[truetype]
+ >=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-3.9[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.23[${PYTHON_USEDEP}]
+ dev-python/matplotlib-inline[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pickleshare[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/testpath[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-asyncio )
+distutils_enable_tests pytest
+
+RDEPEND+="
+ nbconvert? (
+ dev-python/nbconvert[${PYTHON_USEDEP}]
+ )
+"
+PDEPEND="
+ $(python_gen_cond_dep '
+ gui? ( dev-python/qtconsole[${PYTHON_USEDEP}] )
+ ' 'python*')
+ $(python_gen_cond_dep '
+ notebook? (
+ dev-python/notebook[${PYTHON_USEDEP}]
+ dev-python/ipywidgets[${PYTHON_USEDEP}]
+ dev-python/widgetsnbextension[${PYTHON_USEDEP}]
+ )
+ ' 3.{11..13})
+ smp? (
+ >=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
+ >=dev-python/ipyparallel-6.2.3[${PYTHON_USEDEP}]
+ )
+"
+
+python_prepare_all() {
+ # Rename the test directory to reduce sys.path pollution
+ # https://github.com/ipython/ipython/issues/12892
+ mv IPython/extensions/{,ipython_}tests || die
+
+ distutils-r1_python_prepare_all
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local -x IPYTHON_TESTING_TIMEOUT_SCALE=20
+ local EPYTEST_DESELECT=()
+
+ case ${EPYTHON} in
+ pypy3*)
+ EPYTEST_DESELECT+=(
+ # https://github.com/ipython/ipython/issues/14244
+ tests/test_display.py::TestAudioDataWithoutNumpy
+ # minor exception message mismatch
+ # https://github.com/ipython/ipython/issues/14976
+ tests/test_ultratb.py::ExceptionMessagePreferenceTest::test_jsondecodeerror_message
+ )
+ ;;
+ esac
+
+ # nonfatal implied by virtx
+ nonfatal epytest || die "Tests failed on ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # Create ipythonX.Y symlinks.
+ # TODO:
+ # 1. do we want them for pypy?
+ # 2. handle it in the eclass instead (use _python_ln_rel).
+ # With pypy not an option the dosym becomes unconditional
+ # TODO2: figure out what TODO meant.
+ dosym ../lib/python-exec/${EPYTHON}/ipython \
+ /usr/bin/ipython${EPYTHON#python}
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
+
+pkg_postinst() {
+ optfeature "code formatting" dev-python/black
+ optfeature "sympyprinting" dev-python/sympy
+ optfeature "cythonmagic" dev-python/cython
+ optfeature "%lprun magic command" dev-python/line-profiler
+ optfeature "%matplotlib magic command" dev-python/matplotlib-inline
+
+ if use nbconvert; then
+ if ! has_version virtual/pandoc ; then
+ einfo "Node.js will be used to convert notebooks to other formats"
+ einfo "like HTML. Support for that is still experimental. If you"
+ einfo "encounter any problems, please use app-text/pandoc instead."
+ fi
+ fi
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..d12ab8aeaca8 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9cd8a2a93a8d45bf51fe2324402b175d641762ea591fcb99459427f977a95eccffa6ca4777ca4df39814eea6eac62711567faa654456d32f79023a4685804504 SHA512 d973b85ba1a44389a4275f02a779a93a005f7c2e096467b94b072862e4984d5b42cf33f9821ac68aa5b85b12c98983a90b96049989d8c84497969174b6bb838e
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 7100f5f39dd8..271137de443d 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2025 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index c0f74ac187e2..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>pastalian46@gmail.com</email>
- <name>Takuya Wakazono</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/mkdocstrings-python/Manifest b/dev-python/mkdocstrings-python/Manifest
index 528323c77042..4689fa3076b4 100644
--- a/dev-python/mkdocstrings-python/Manifest
+++ b/dev-python/mkdocstrings-python/Manifest
@@ -1,2 +1,3 @@
DIST mkdocstrings_python-1.19.0.tar.gz 204010 BLAKE2B 54498620c5b7c2cc3a9a9dac63c04174eda142aead21629db92dab6b8c8cf167c71f178b1296aa552ccf0890ba0dfdd33c26ca5158be0dead5bfead508ef841d SHA512 929af2f0ab358ed02ecde16694475e2ea075cd0b4bea930b417518bbc55e05f6a56356b0ef8d91a4db9abbf040d2be573050e4dd23041feba37b0e03eea662f9
DIST mkdocstrings_python-2.0.0.tar.gz 199113 BLAKE2B aea89b328a903e7682da9e1b0eaf9ec305df0e54e2464d2a346bea960931e77a771eacaf01f6677e32e8cf4aaa33504c3b07204c29f1cebecd7f668e7cbe6f0f SHA512 84ee7c6a08c92e27b49c8f6106dc4ef606f1a2ae93580787a885c793680f7e80c3e712c4771745b53de35fb3046cd789f5b2041ec77644748f5f4bb16b532c21
+DIST mkdocstrings_python-2.0.1.tar.gz 199345 BLAKE2B 62386822b86462b38e587954e3a8566530f3021d243e2ab13d5f3a948d74f6e4eca9dbd62fdb50dc266ecdeed51c013725ea305d5bcfb81c0bb59dc3c8a3f912 SHA512 b3e3c9b48a451b630ec88c79d254a9095f9a2a1d5d43a0aab9ac2554d0cef681a5ebc2452f44466bc0ea47e27f68f66b0e3fa14534ea97ddb5994ae37c1b4327
diff --git a/dev-python/mkdocstrings-python/mkdocstrings-python-2.0.1.ebuild b/dev-python/mkdocstrings-python/mkdocstrings-python-2.0.1.ebuild
new file mode 100644
index 000000000000..e1aa0186694c
--- /dev/null
+++ b/dev-python/mkdocstrings-python/mkdocstrings-python-2.0.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python handler for dev-python/mkdocstrings"
+HOMEPAGE="
+ https://mkdocstrings.github.io/python/
+ https://github.com/mkdocstrings/python/
+ https://pypi.org/project/mkdocstrings-python/
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ >=dev-python/griffe-1.13[${PYTHON_USEDEP}]
+ >=dev-python/mkdocstrings-0.30[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-autorefs-1.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/beautifulsoup4-4.12.3[${PYTHON_USEDEP}]
+ dev-python/mkdocs-material[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( inline-snapshot )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+export PDM_BUILD_SCM_VERSION=${PV}
+
+EPYTEST_DESELECT=(
+ # "None" meaning particular formatter not installed
+ "tests/test_rendering.py::test_format_code[None-print('Hello')]"
+ "tests/test_rendering.py::test_format_code[None-aaaaa(bbbbb, ccccc=1) + ddddd.eeeee[ffff] or {ggggg: hhhhh, iiiii: jjjjj}]"
+)
diff --git a/dev-python/opentelemetry-api/Manifest b/dev-python/opentelemetry-api/Manifest
index 77979af8f1af..538aa4171fcb 100644
--- a/dev-python/opentelemetry-api/Manifest
+++ b/dev-python/opentelemetry-api/Manifest
@@ -1,3 +1,2 @@
-DIST opentelemetry-python-1.36.0.gh.tar.gz 1251116 BLAKE2B 4b2df24523b5f05c0f5efdec895ab641bc7bd6607a71aee91c7db4bc35b4f3cd29e7da17bd4e487f72d645a3cffd572504de9f5987db051e1c74ee14d4074a59 SHA512 6e142e1dc33a8aa1313d61c15b00619b8df9fbff73dd1b9f187370cc6396a1d37b83dfb8d6effad795a37e851f05b88ef2cf487ece3008e172ad9759ceb697c4
-DIST opentelemetry-python-1.37.0.gh.tar.gz 1270475 BLAKE2B e3739e70de1f612f2f7ce477810106ef4f9bc444a4001e5e7c20652b185c60b15370675a4da7a877799839076c5fc357bd4dab8e0d82cccbd7b49908a8c6ea42 SHA512 9e8f309b8bdbedb6040acb1f29d1bbfdd4dabc8b5dae01554363431dbdfd7e5d26fdf76e3ca63f1d9b1ab31d570ce24dc41418d85e8cc3b5d65530a52069e8e3
DIST opentelemetry-python-1.38.0.gh.tar.gz 1272944 BLAKE2B 1750a6e64f673c4ed66ff987ba954b68b6915c24688de4ac7a9585174f6571ed5ee4b38aa8b7467246b95f3b82e06421ed2abada6346590173cc75b020ecba1a SHA512 56d825706f86c30872f4839f86cfd8d8a7837de9ebf7ca0e861787684043b7bf120186d0245aef5ec57b33788444b666cc0875a20d385fb2db54cddf6c5019b5
+DIST opentelemetry-python-1.39.0.gh.tar.gz 1305798 BLAKE2B aa86dc3f05f47bd594411d9be813f4fb898b07d6d394f3306e88c2d920b3fe3d9ee47705fec049fd0713ddd92a74b43a0b159054054f90980976cf094b0e6b21 SHA512 7f1ed388f0b67af22d81ca8896ac8c4fcba83599e44c542ab03f3bf6573ea2800642143dc49f09415ffbf43032d2ca42b2d86fadd6c127f78b1a5c5f704a1359
diff --git a/dev-python/opentelemetry-api/opentelemetry-api-1.37.0.ebuild b/dev-python/opentelemetry-api/opentelemetry-api-1.37.0.ebuild
deleted file mode 100644
index 2e0505edce37..000000000000
--- a/dev-python/opentelemetry-api/opentelemetry-api-1.37.0.ebuild
+++ /dev/null
@@ -1,61 +0,0 @@
-# Copyright 2024-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1
-
-MY_P="opentelemetry-python-${PV}"
-DESCRIPTION="OpenTelemetry Python API"
-HOMEPAGE="
- https://opentelemetry.io/
- https://pypi.org/project/opentelemetry-api/
- https://github.com/open-telemetry/opentelemetry-python/
-"
-SRC_URI="
- https://github.com/open-telemetry/opentelemetry-python/archive/refs/tags/v${PV}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S="${WORKDIR}/${MY_P}/${PN}"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 arm64 x86"
-
-RDEPEND="
- >=dev-python/importlib-metadata-6.0[${PYTHON_USEDEP}]
- >=dev-python/typing-extensions-4.5.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/typing-extensions[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_PLUGINS=()
-distutils_enable_tests pytest
-
-src_prepare() {
- default
-
- # Unnecessary restriction
- sed -i -e '/importlib-metadata/s:, < [0-9.]*::' pyproject.toml || die
-}
-
-python_test() {
- cp -a "${BUILD_DIR}"/{install,test} || die
- local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
-
- for dep in opentelemetry-semantic-conventions opentelemetry-sdk \
- tests/opentelemetry-test-utils
- do
- pushd "${WORKDIR}/${MY_P}/${dep}" >/dev/null || die
- distutils_pep517_install "${BUILD_DIR}"/test
- popd >/dev/null || die
- done
-
- epytest
-}
diff --git a/dev-python/opentelemetry-api/opentelemetry-api-1.36.0.ebuild b/dev-python/opentelemetry-api/opentelemetry-api-1.39.0.ebuild
index 2e0505edce37..9458397b663e 100644
--- a/dev-python/opentelemetry-api/opentelemetry-api-1.36.0.ebuild
+++ b/dev-python/opentelemetry-api/opentelemetry-api-1.39.0.ebuild
@@ -23,7 +23,7 @@ S="${WORKDIR}/${MY_P}/${PN}"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 arm64 x86"
+KEYWORDS="~amd64 ~arm64 ~x86"
RDEPEND="
>=dev-python/importlib-metadata-6.0[${PYTHON_USEDEP}]
diff --git a/dev-python/opentelemetry-sdk/Manifest b/dev-python/opentelemetry-sdk/Manifest
index 77979af8f1af..538aa4171fcb 100644
--- a/dev-python/opentelemetry-sdk/Manifest
+++ b/dev-python/opentelemetry-sdk/Manifest
@@ -1,3 +1,2 @@
-DIST opentelemetry-python-1.36.0.gh.tar.gz 1251116 BLAKE2B 4b2df24523b5f05c0f5efdec895ab641bc7bd6607a71aee91c7db4bc35b4f3cd29e7da17bd4e487f72d645a3cffd572504de9f5987db051e1c74ee14d4074a59 SHA512 6e142e1dc33a8aa1313d61c15b00619b8df9fbff73dd1b9f187370cc6396a1d37b83dfb8d6effad795a37e851f05b88ef2cf487ece3008e172ad9759ceb697c4
-DIST opentelemetry-python-1.37.0.gh.tar.gz 1270475 BLAKE2B e3739e70de1f612f2f7ce477810106ef4f9bc444a4001e5e7c20652b185c60b15370675a4da7a877799839076c5fc357bd4dab8e0d82cccbd7b49908a8c6ea42 SHA512 9e8f309b8bdbedb6040acb1f29d1bbfdd4dabc8b5dae01554363431dbdfd7e5d26fdf76e3ca63f1d9b1ab31d570ce24dc41418d85e8cc3b5d65530a52069e8e3
DIST opentelemetry-python-1.38.0.gh.tar.gz 1272944 BLAKE2B 1750a6e64f673c4ed66ff987ba954b68b6915c24688de4ac7a9585174f6571ed5ee4b38aa8b7467246b95f3b82e06421ed2abada6346590173cc75b020ecba1a SHA512 56d825706f86c30872f4839f86cfd8d8a7837de9ebf7ca0e861787684043b7bf120186d0245aef5ec57b33788444b666cc0875a20d385fb2db54cddf6c5019b5
+DIST opentelemetry-python-1.39.0.gh.tar.gz 1305798 BLAKE2B aa86dc3f05f47bd594411d9be813f4fb898b07d6d394f3306e88c2d920b3fe3d9ee47705fec049fd0713ddd92a74b43a0b159054054f90980976cf094b0e6b21 SHA512 7f1ed388f0b67af22d81ca8896ac8c4fcba83599e44c542ab03f3bf6573ea2800642143dc49f09415ffbf43032d2ca42b2d86fadd6c127f78b1a5c5f704a1359
diff --git a/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.36.0.ebuild b/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.36.0.ebuild
deleted file mode 100644
index 2b117048192f..000000000000
--- a/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.36.0.ebuild
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright 2024-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1
-
-MY_P="opentelemetry-python-${PV}"
-DESCRIPTION="OpenTelemetry Python SDK"
-HOMEPAGE="
- https://opentelemetry.io/
- https://pypi.org/project/opentelemetry-sdk/
- https://github.com/open-telemetry/opentelemetry-python/
-"
-SRC_URI="
- https://github.com/open-telemetry/opentelemetry-python/archive/refs/tags/v${PV}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-
-S="${WORKDIR}/${MY_P}/${PN}"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 arm64 x86"
-
-RDEPEND="
- ~dev-python/opentelemetry-api-${PV}[${PYTHON_USEDEP}]
- ~dev-python/opentelemetry-semantic-conventions-${PV}[${PYTHON_USEDEP}]
- >=dev-python/typing-extensions-4.5.0[${PYTHON_USEDEP}]
-"
-
-EPYTEST_PLUGINS=( pytest-rerunfailures )
-# Tests cannot handle xdist with high makeopts
-# https://bugs.gentoo.org/928132
-distutils_enable_tests pytest
-
-python_test() {
- cp -a "${BUILD_DIR}"/{install,test} || die
- local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
-
- for dep in tests/opentelemetry-test-utils; do
- pushd "${WORKDIR}/${MY_P}/${dep}" >/dev/null || die
- distutils_pep517_install "${BUILD_DIR}"/test
- popd >/dev/null || die
- done
-
- epytest tests
-}
diff --git a/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.37.0.ebuild b/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.39.0.ebuild
index 2b117048192f..9484c573b9eb 100644
--- a/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.37.0.ebuild
+++ b/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.39.0.ebuild
@@ -24,7 +24,7 @@ S="${WORKDIR}/${MY_P}/${PN}"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 arm64 x86"
+KEYWORDS="~amd64 ~arm64 ~x86"
RDEPEND="
~dev-python/opentelemetry-api-${PV}[${PYTHON_USEDEP}]
diff --git a/dev-python/opentelemetry-semantic-conventions/Manifest b/dev-python/opentelemetry-semantic-conventions/Manifest
index 77979af8f1af..538aa4171fcb 100644
--- a/dev-python/opentelemetry-semantic-conventions/Manifest
+++ b/dev-python/opentelemetry-semantic-conventions/Manifest
@@ -1,3 +1,2 @@
-DIST opentelemetry-python-1.36.0.gh.tar.gz 1251116 BLAKE2B 4b2df24523b5f05c0f5efdec895ab641bc7bd6607a71aee91c7db4bc35b4f3cd29e7da17bd4e487f72d645a3cffd572504de9f5987db051e1c74ee14d4074a59 SHA512 6e142e1dc33a8aa1313d61c15b00619b8df9fbff73dd1b9f187370cc6396a1d37b83dfb8d6effad795a37e851f05b88ef2cf487ece3008e172ad9759ceb697c4
-DIST opentelemetry-python-1.37.0.gh.tar.gz 1270475 BLAKE2B e3739e70de1f612f2f7ce477810106ef4f9bc444a4001e5e7c20652b185c60b15370675a4da7a877799839076c5fc357bd4dab8e0d82cccbd7b49908a8c6ea42 SHA512 9e8f309b8bdbedb6040acb1f29d1bbfdd4dabc8b5dae01554363431dbdfd7e5d26fdf76e3ca63f1d9b1ab31d570ce24dc41418d85e8cc3b5d65530a52069e8e3
DIST opentelemetry-python-1.38.0.gh.tar.gz 1272944 BLAKE2B 1750a6e64f673c4ed66ff987ba954b68b6915c24688de4ac7a9585174f6571ed5ee4b38aa8b7467246b95f3b82e06421ed2abada6346590173cc75b020ecba1a SHA512 56d825706f86c30872f4839f86cfd8d8a7837de9ebf7ca0e861787684043b7bf120186d0245aef5ec57b33788444b666cc0875a20d385fb2db54cddf6c5019b5
+DIST opentelemetry-python-1.39.0.gh.tar.gz 1305798 BLAKE2B aa86dc3f05f47bd594411d9be813f4fb898b07d6d394f3306e88c2d920b3fe3d9ee47705fec049fd0713ddd92a74b43a0b159054054f90980976cf094b0e6b21 SHA512 7f1ed388f0b67af22d81ca8896ac8c4fcba83599e44c542ab03f3bf6573ea2800642143dc49f09415ffbf43032d2ca42b2d86fadd6c127f78b1a5c5f704a1359
diff --git a/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.37.0.ebuild b/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.37.0.ebuild
deleted file mode 100644
index b622343e0735..000000000000
--- a/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.37.0.ebuild
+++ /dev/null
@@ -1,52 +0,0 @@
-# Copyright 2024-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1 pypi
-
-MY_P="opentelemetry-python-${PV}"
-DESCRIPTION="OpenTelemetry Semantic Conventions"
-HOMEPAGE="
- https://opentelemetry.io/
- https://pypi.org/project/opentelemetry-sdk/
- https://github.com/open-telemetry/opentelemetry-python/
-"
-SRC_URI="
- https://github.com/open-telemetry/opentelemetry-python/archive/refs/tags/v${PV}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S="${WORKDIR}/${MY_P}/${PN}"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 arm64 x86"
-
-RDEPEND="
- ~dev-python/opentelemetry-api-${PV}[${PYTHON_USEDEP}]
- >=dev-python/typing-extensions-4.5.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/typing-extensions[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_PLUGINS=()
-distutils_enable_tests pytest
-
-python_test() {
- cp -a "${BUILD_DIR}"/{install,test} || die
- local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
-
- for dep in opentelemetry-sdk tests/opentelemetry-test-utils; do
- pushd "${WORKDIR}/${MY_P}/${dep}" >/dev/null || die
- distutils_pep517_install "${BUILD_DIR}"/test
- popd >/dev/null || die
- done
-
- epytest
-}
diff --git a/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.36.0.ebuild b/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.39.0.ebuild
index b622343e0735..4015971e8096 100644
--- a/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.36.0.ebuild
+++ b/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.39.0.ebuild
@@ -23,7 +23,7 @@ S="${WORKDIR}/${MY_P}/${PN}"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 arm64 x86"
+KEYWORDS="~amd64 ~arm64 ~x86"
RDEPEND="
~dev-python/opentelemetry-api-${PV}[${PYTHON_USEDEP}]
diff --git a/dev-python/pbs-installer/Manifest b/dev-python/pbs-installer/Manifest
index c383dbfa58e0..6cebbbeb8f53 100644
--- a/dev-python/pbs-installer/Manifest
+++ b/dev-python/pbs-installer/Manifest
@@ -1,7 +1,8 @@
-DIST pbs-installer-2025.10.07.gh.tar.gz 94098 BLAKE2B af4bc8cd06f65f591f7f681d57cd2b7fb93df309853d0becc5606920e86cfb3caaba15a8c8f6f6f0c787d5cd78a3065616638f4cc5d0cb2de596b09ee9205169 SHA512 3fd9da55a34f2f1df105ce8b5fa00f5f5e8b9a35bf59fec017f2089d7756ba9dabe146885abd4b0401877bc1749616df0509d38bd83a53c0b67816e92477b87e
DIST pbs_installer-2025.10.14.tar.gz 63626 BLAKE2B 043053c36750378cde810222ba00b56ff3440939310d77133366bbe9651c8a931850b85271b1fba57ee647ebdfa2df832666bd7d680c8a23952248bd19ed73c6 SHA512 9383b40b159bfe5b3ff41d5791ca61b7f880f42e0dd302195766026449c012e55d3561ae433cc7b859def152203387768aa2a399d00a970e9651a2ea3a0a128d
DIST pbs_installer-2025.10.14.tar.gz.provenance 9758 BLAKE2B 04771a558d84fdafdd67ce9e441cd34446cffc18a7ff51f9ffc0e3b34f73545cf0ce5e98684ee341aa41bc43c598ae172b8fdc16da95998cced8ef04e25a4442 SHA512 86c1c8109dc21719c571f8f94f5b197c1a4385945b5575f3af77ae287a181bc00e8754eac7d630e507207f27d56ff88eecc301a0568a945d3a2f50f84937f581
DIST pbs_installer-2025.10.31.tar.gz 64218 BLAKE2B abb8f2ff6e75defa83487023187ff740c943fc35c8c5c08bcb1596afcd64996b2d5fa80b882312f2ed177048409fa7622e728c1268dbb805283f492e4e71af96 SHA512 edc05ab2a3ebdae329239d17b75807ff195584cf47df091d6b19a6ec9851e5a76fff41c7f74375c6fb25520f9a81acdae40203207d06dd880cbc39758a4dfbaa
DIST pbs_installer-2025.10.31.tar.gz.provenance 9515 BLAKE2B 26b5982298e0eded3ac08b76cfbaa3c6715dd967d2a44965403f49d797dc9442a6c9aed1ee0f390c1364b9ed0c629ddf4dec98219197ba82f449bf576fa11677 SHA512 26a7ec454de9ce8e188b08f62a480636d97b9622cd0f0d02d679e32cb242f50d4a756a94794720358f6745b126c00eb07fb7b6069f50e80ab0fda389daacaad1
DIST pbs_installer-2025.11.20.tar.gz 64231 BLAKE2B 6b59429ee407ed3dde8b9dbd9b2d1aa678ba08f37283b8fe37eccd28bb370b71c4e3ceae7199edaafac4ba56012abaf4f45c291da066a9bee0dfaab42f934bb3 SHA512 189ba078afacf994fae8aeb2bcf8cdf9a8a69ece105c8324f3bdc774987fa3d8abbe3b6a76c9b93fe24d8a4d88b8296933f0c246e6d9885a11b003185d6fdcab
DIST pbs_installer-2025.11.20.tar.gz.provenance 9511 BLAKE2B 963c57d7836ad2a032570ce2dd928599d4067810b12306f4158fcf848dcf71fb967229b7b2f2d9ef2f4b9b03f6bb297a49f19114556b0b2d1a3bd4dec3a2a554 SHA512 8171f71c6c747b725267b041c02cdcfdd1e5cc7271c7f4bc8d2883035846969d9725d1261800cc7b4ed3d94b978a80dc9c9d7c5a7f9fc6c5d22b3bf3e258d881
+DIST pbs_installer-2025.12.2.tar.gz 65622 BLAKE2B 202b64583a0e80c7a9690d0b1b510244c7ff18f24b1f79a328e315930815ab11fea6a10ea6d2be841a2b12559b30c6fd8476a33d7be8fc7c0655ccd818d9dfd3 SHA512 39e67d67c2351b0101410c75d028614be701a4a07c76160df9d7a7263fca8dbf270a756219ec45fd425a516a54245d515fe3ae214c85beb07c5918f2dd49668a
+DIST pbs_installer-2025.12.2.tar.gz.provenance 9646 BLAKE2B 16b8d478421f8ccd28a7b79ace3ed97aaa0da0e8fb76181bf25ee6a0f639c1b6d346fff6d2bfb305a0676335976b0e7041ed08eab312d2be3b0ce0e9117daee5 SHA512 3a8214dedb8730123916adfdbe80ff0962f7840dd521b444a77ee6e5f0ebfd354677b21381fc204e03a8b7aff0e49aea81fe62f4374545f5a2e7dc49143c4f32
diff --git a/dev-python/pbs-installer/pbs-installer-2025.10.07.ebuild b/dev-python/pbs-installer/pbs-installer-2025.10.07.ebuild
deleted file mode 100644
index fd3b0f756829..000000000000
--- a/dev-python/pbs-installer/pbs-installer-2025.10.07.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 2024-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=pdm-backend
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1
-
-DESCRIPTION="Installer for Python Build Standalone"
-HOMEPAGE="
- https://pypi.org/project/pbs-installer/
- https://github.com/frostming/pbs-installer/
-
-"
-SRC_URI="
- https://github.com/frostming/pbs-installer/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 ~x86"
-
-BDEPEND="
- dev-python/zstandard[${PYTHON_USEDEP}]
-"
-
-# upstream does not provide any tests
-RESTRICT=test
-
-python_configure_all() {
- export PDM_BUILD_SCM_VERSION=${PV}
-}
diff --git a/dev-python/pbs-installer/pbs-installer-2025.12.2.ebuild b/dev-python/pbs-installer/pbs-installer-2025.12.2.ebuild
new file mode 100644
index 000000000000..ba26c68ac2a0
--- /dev/null
+++ b/dev-python/pbs-installer/pbs-installer-2025.12.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYPI_VERIFY_REPO=https://github.com/frostming/pbs-installer
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Installer for Python Build Standalone"
+HOMEPAGE="
+ https://pypi.org/project/pbs-installer/
+ https://github.com/frostming/pbs-installer/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+# httpx is needed to download builds
+# zstandard is needed to install them
+RDEPEND="
+ <dev-python/httpx-1[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.27.0[${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.21.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=( pytest-import-check )
+distutils_enable_tests import-check
diff --git a/dev-python/pyside/files/pyside-6.10.1-pass-ninja-opts.patch b/dev-python/pyside/files/pyside-6.10.1-pass-ninja-opts.patch
new file mode 100644
index 000000000000..0ce8eb2fbac8
--- /dev/null
+++ b/dev-python/pyside/files/pyside-6.10.1-pass-ninja-opts.patch
@@ -0,0 +1,20 @@
+Allows passing --load-average and not passing --jobs which would stop the jobserver from working.
+
+This is a Gentoo'ism so its not upstreamable in this form.
+
+diff --git a/build_scripts/main.py b/build_scripts/main.py
+index cdaa439ff..3e088961e 100644
+--- a/build_scripts/main.py
++++ b/build_scripts/main.py
+@@ -854,8 +854,8 @@ class PysideBuild(_build, CommandMixin, BuildInfoCollectorMixin):
+
+ log.info(f"-- Compiling module {extension}...")
+ cmd_make = [str(self.make_path)]
+- if OPTION["JOBS"]:
+- cmd_make.append(OPTION["JOBS"])
++ if self.make_generator == "Ninja":
++ cmd_make.extend(os.getenv("NINJAOPTS").split(' '))
+ if OPTION["LOG_LEVEL"] == LogLevel.VERBOSE and self.make_generator == "Ninja":
+ cmd_make.append("-v")
+ if run_process(cmd_make) != 0:
+
diff --git a/dev-python/pyside/pyside-6.10.1-r1.ebuild b/dev-python/pyside/pyside-6.10.1-r1.ebuild
index 9fccfd331c10..ba6d3e72b7e4 100644
--- a/dev-python/pyside/pyside-6.10.1-r1.ebuild
+++ b/dev-python/pyside/pyside-6.10.1-r1.ebuild
@@ -8,12 +8,13 @@
EAPI=8
+# python3.14 support upstream but getting build issues
PYTHON_COMPAT=( python3_{10..14} )
-LLVM_COMPAT=( {16..20} )
+LLVM_COMPAT=( {16..21} )
DISTUTILS_USE_PEP517=setuptools
DISTUTILS_EXT=1
-inherit distutils-r1 llvm-r2 multiprocessing qmake-utils virtualx
+inherit distutils-r1 llvm-r2 multiprocessing ninja-utils qmake-utils virtualx
MY_PN=${PN}-setup-everywhere-src
MY_P=${MY_PN}-${PV}
@@ -229,6 +230,7 @@ PATCHES=(
# Needs porting to newer wheel and setuptools
"${FILESDIR}/${PN}-6.8.2-quick-fix-build-wheel.patch"
"${FILESDIR}/${PN}-6.10.0-dont-vendor-ffmpeg.patch"
+ "${FILESDIR}/${PN}-6.10.1-pass-ninja-opts.patch"
)
# Build system duplicates system libraries. TODO: fix
@@ -307,6 +309,9 @@ python_prepare_all() {
python_configure_all() {
export LLVM_INSTALL_DIR="$(get_llvm_prefix)"
+ # see pyside-6.10.1-pass-ninja-opts.patch
+ export NINJAOPTS="$(get_NINJAOPTS)"
+
ENABLED_QT_MODULES=()
# The order matters, dependencies must come first so process
diff --git a/dev-python/sabctools/Manifest b/dev-python/sabctools/Manifest
index 47f64db6a19d..89f5df35c8bd 100644
--- a/dev-python/sabctools/Manifest
+++ b/dev-python/sabctools/Manifest
@@ -1,3 +1,4 @@
DIST sabctools-8.2.5.gh.tar.gz 8974284 BLAKE2B acc5dcbeaa20e916a8fc8691bd389c8f60c9a9d2eca9dff2fb7dd4da4abee9ad7dcd9003eeb5f37b51f3ec5c7041517ebf60679373bd101b9546d0de7de2ac0e SHA512 8e3ed65ca4cb8879e07a48033bc6b7efd6bbd4f5a7df43db8fa28719dde194aa55a53709c9d4c29ac273369ceeb845188f1b8a0cde6904962148e6352acb40fa
DIST sabctools-8.2.6.gh.tar.gz 8974199 BLAKE2B cefafb57802e7d9b32b99de16b7df2745276c4602c7aa2f9f750bf2c741224b3a9180c2a9dd6d0e807c5297e2a70dbfb3784e546618536e7fa8d6273bc5d3684 SHA512 230a3c78a11d459703bb79d765ac5bf3e21ae239731ada73103e641af64c0cccd6f8e82d4a8a6016585c9935c93f9535cb5a0ead951f4f536a038fc2ebf056db
DIST sabctools-9.0.0.gh.tar.gz 9731189 BLAKE2B 59f200041c2555cf1aa2ef3adeefc5f46181a0fa673101475f4f45631282efe4b0cc39f3eec258430abe36a24f1d23926a076e22dfbfe5c566ba7866ffd8327d SHA512 f1a37a785c9b4e61f5febc2a782df9bf096c0408289c993307c4c448ef660051b0450ca7a047d771381a288aa246a5aad28f42b4d40986a3f0ec7ee0a1c1166f
+DIST sabctools-9.1.0.gh.tar.gz 9731441 BLAKE2B 6b94c19c9fe445e4eb624a981c6ed0282814217063014623b3c42ab42dbaddfbc155774915a78805495a547083f1a8eb1d760b641e0730575e71b86c2d257213 SHA512 070caf268a4eac6e5190ed5d1a75ac0069a4934095796989323bd7900f2d3afbeb071cc546d338fccc2333e82e3a78f44ca9936d6bc66cd5d93d0b18dbf0f815
diff --git a/dev-python/sabctools/sabctools-9.1.0.ebuild b/dev-python/sabctools/sabctools-9.1.0.ebuild
new file mode 100644
index 000000000000..d9816a9ddfe8
--- /dev/null
+++ b/dev-python/sabctools/sabctools-9.1.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+MY_PN="sabctools"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Module providing raw yEnc encoding/decoding for SABnzbd"
+HOMEPAGE="
+ https://github.com/sabnzbd/sabctools/
+ https://pypi.org/project/sabctools/
+"
+SRC_URI="
+ https://github.com/sabnzbd/${MY_PN}/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/portend[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( README.md doc/yenc-draft.1.3.txt )
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index 5f208b822fc5..7c14b156981b 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -1,3 +1,4 @@
DIST sphinx-8.2.3.gh.tar.gz 8378376 BLAKE2B ddfa406140bebcaa09299a56fedf1170db6504a9ce3807e20c555f5e088d81acbfd19f2621a824b91199713b301380fd2056cf2282ea81f4a0858dd714eb7e45 SHA512 23066d9e98f3e36ee34ac3bc5af45792762f858e1e670145b7d1db7e98fa9e9654d87a27b9316dd72704aeea75b53f73d07d22f723c915d23a95f59bbd4f6365
DIST sphinx-9.0.0.gh.tar.gz 8603500 BLAKE2B 7d855abd0a32b5474dcec23a880e6b4eeb7b7370320dccd869c1770e4d037575ea71941384c8c3c8764d44c123d481c8aac9d6149a82bb85529b267944f47151 SHA512 6be63da6a23cfd7dda90ff3907a9f5f3527a081e204c07523253d11612f91e9a5dad1772a4ba937306ca5ff1215e037a65782c398435c70c74aea5f22cc6e1a6
DIST sphinx-9.0.1.gh.tar.gz 8758828 BLAKE2B 274b2d67e6570a001d1e9248e1e56cd7340162295976a6889503cbca07a016bcef667a3e1bd8bcd98c949a52b3c685c2bf8e73a634e03a8fe33ead810fdaa49a SHA512 72fb9829c26d970d7434a4ecb429b314da57d98c3a89e55bbfc864947d769e5bad3c8a3621b14db72237edfec8a59aafeba6944e0a79cee668c6672c796c08c3
+DIST sphinx-9.0.3.gh.tar.gz 8843780 BLAKE2B 4d3bb39c612f099cd93d99a7f808012a511aca7f885124de2a29aca9ff40e139cbbf340a0895a40c6e7747113839d9b69785ba501b26219b92b61f3c4a5225f9 SHA512 49014e02017d1d70a84c0877d24c13732ee936d456e01b72e53dcaa7009cdf18c9dd5d0c23d25adb718439999d2d82cbcd29ba7e97289c394f3a1cdb456fe8af
diff --git a/dev-python/sphinx/sphinx-9.0.3.ebuild b/dev-python/sphinx/sphinx-9.0.3.ebuild
new file mode 100644
index 000000000000..a32dc380ae22
--- /dev/null
+++ b/dev-python/sphinx/sphinx-9.0.3.ebuild
@@ -0,0 +1,144 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+MY_P=${P/_}
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="
+ https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinx/
+ https://pypi.org/project/Sphinx/
+"
+SRC_URI="
+ https://github.com/sphinx-doc/sphinx/archive/v${PV/_}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD-2"
+SLOT="0"
+if [[ ${PV} != *_rc* ]]; then
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+IUSE="doc latex"
+
+RDEPEND="
+ >=dev-python/alabaster-0.7.14[${PYTHON_USEDEP}]
+ >=dev-python/babel-2.13[${PYTHON_USEDEP}]
+ <dev-python/docutils-0.23[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.20[${PYTHON_USEDEP}]
+ >=dev-python/imagesize-1.3[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.1[${PYTHON_USEDEP}]
+ >=dev-python/packaging-23.0[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.14[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.30.0[${PYTHON_USEDEP}]
+ >=dev-python/roman-numerals-py-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/snowballstemmer-2.2[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-applehelp-1.0.7[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-devhelp-1.0.6[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-htmlhelp-2.0.6[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-jsmath-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-qthelp-1.0.6[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-serializinghtml-1.1.9[${PYTHON_USEDEP}]
+ latex? (
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )
+"
+BDEPEND="
+ >=dev-python/flit-core-3.11
+ doc? (
+ dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+ )
+ test? (
+ app-text/dvipng
+ >=dev-python/cython-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/defusedxml-0.7.1[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-67.0[${PYTHON_USEDEP}]
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ virtual/imagemagick-tools[jpeg,png,svg]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/sphinx-3.2.1-doc-link.patch"
+)
+
+EPYTEST_PLUGINS=()
+EPYTEST_RERUNS=5
+# EPYTEST_XDIST breaks stuff
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # roman-numerals-py has been renamed (no -py), but the package can't be pkgmoved "yet".
+ # For rc1, simply fix pip check by using the old name.
+ sed -i -e 's:roman-numerals:roman-numerals-py:' pyproject.toml || die
+ # disable internet access
+ sed -i -e 's:^intersphinx_mapping:disabled_&:' \
+ doc/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ # we can't use distutils_enable_sphinx because it would
+ # introduce a dep on itself
+ use doc && build_sphinx doc
+}
+
+python_test() {
+ mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+ local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3.11)
+ EPYTEST_DESELECT+=(
+ # TODO
+ tests/test_util/test_util_inspect.py::test_is_classmethod_descriptor
+ tests/test_util/test_util_inspect.py::test_is_builtin_classmethod_like
+ # minor repr() differences
+ tests/test_util/test_util_typing.py::test_restify
+ tests/test_util/test_util_typing.py::test_stringify_annotation
+ tests/test_util/test_util_typing.py::test_stringify_type_union_operator
+ # from pypy3 era
+ tests/test_ext_autodoc/test_ext_autodoc.py::test_autodoc_exception
+ tests/test_ext_autodoc/test_ext_autodoc.py::test_autodoc_ignore_module_all
+ tests/test_ext_autodoc/test_ext_autodoc.py::test_autodoc_inherited_members_None
+ tests/test_ext_autodoc/test_ext_autodoc.py::test_autodoc_subclass_of_builtin_class
+ tests/test_ext_autodoc/test_ext_autodoc.py::test_automethod_for_builtin
+ tests/test_ext_autodoc/test_ext_autodoc.py::test_cython
+ tests/test_ext_autodoc/test_ext_autodoc.py::test_partialfunction
+ tests/test_ext_autodoc/test_ext_autodoc_autoclass.py::test_autodoc_process_bases
+ tests/test_ext_autodoc/test_ext_autodoc_autoclass.py::test_show_inheritance_for_decendants_of_generic_type
+ tests/test_ext_autodoc/test_ext_autodoc_autoclass.py::test_show_inheritance_for_subclass_of_generic_type
+ tests/test_ext_autodoc/test_ext_autodoc_autofunction.py::test_builtin_function
+ tests/test_ext_autodoc/test_ext_autodoc_autofunction.py::test_methoddescriptor
+ tests/test_ext_autodoc/test_ext_autodoc_automodule.py::test_automodule_inherited_members
+ tests/test_ext_autodoc/test_ext_autodoc_preserve_defaults.py::test_preserve_defaults_special_constructs
+ tests/test_ext_autodoc/test_ext_autodoc_signatures.py::test_format_class_signatures_text_signature
+ tests/test_ext_autodoc/test_ext_autodoc_signatures.py::test_format_class_signatures_no_text_signature
+ tests/test_ext_autodoc/test_ext_autodoc_signatures.py::test_format_method_signatures_error_handling
+ tests/test_ext_autosummary/test_ext_autosummary.py::test_autosummary_generate_content_for_module
+ tests/test_ext_autosummary/test_ext_autosummary.py::test_autosummary_generate_content_for_module_skipped
+ tests/test_util/test_util_inspect.py::test_isattributedescriptor
+ tests/test_util/test_util_inspect.py::test_signature
+ tests/test_util/test_util_typing.py::test_is_invalid_builtin_class
+ )
+ ;;
+ esac
+
+ epytest
+}
diff --git a/dev-python/translate-toolkit/Manifest b/dev-python/translate-toolkit/Manifest
index df41d3a0206e..c9b384abd9f5 100644
--- a/dev-python/translate-toolkit/Manifest
+++ b/dev-python/translate-toolkit/Manifest
@@ -1,2 +1,3 @@
DIST translate-3.16.3.gh.tar.gz 1182562 BLAKE2B 25ea88b5490891140670cdc384c9c1a318dce0085d6b9c8f6b1a7fbb0892a2e6eb80c26c02fa4890d3ec45c0d9c3958d7c3c4c33dba76d1ee03d977ee0a6863a SHA512 e2e59ca01769a88fd7c6367d0e1e8b96da9f950b600fc62eecae9aed4ad072877b1fd1a6742f0588b2b27d33f6652e98db4c90e63fb4d09481a651019beaee44
DIST translate-3.17.2.gh.tar.gz 1237809 BLAKE2B b7f1ea65990ac2b5380e674cadc47c1df6ff2476afed25d36b8c636b4d0fba32005086015b03425bdea38f4b22ed7c53d1b664ed92a06aa65f80720e34c49072 SHA512 8658101eec4d4da05c34f4e7b4e0fb77bf8f576bf867118bd4f5b39609fb7d67064412dfab514edc448331b93fd12c148e53cff57c6b1fe1155427059ad7821a
+DIST translate-3.17.3.gh.tar.gz 1241480 BLAKE2B 2c3e32f1959b37903214005bb360a0efd9c3b8ebbd8c1996be0af80aa753e109512656c896c51cf9a1e0f449fef47116938e5c92a9828c21cd5a3cd6a2bc4315 SHA512 8d5c83b10a706300ba73310469b1e1857338c6dffa5790765fee316c183b832b3f142080759fd6155fcfa716613c6019be17b3ad70ffcf57eeb27e7eb5b62397
diff --git a/dev-python/translate-toolkit/translate-toolkit-3.17.3.ebuild b/dev-python/translate-toolkit/translate-toolkit-3.17.3.ebuild
new file mode 100644
index 000000000000..5e7b8098ef02
--- /dev/null
+++ b/dev-python/translate-toolkit/translate-toolkit-3.17.3.ebuild
@@ -0,0 +1,129 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+MY_P=translate-${PV}
+DESCRIPTION="Toolkit to convert between many translation formats"
+HOMEPAGE="
+ https://github.com/translate/translate/
+ https://pypi.org/project/translate-toolkit/
+"
+SRC_URI="
+ https://github.com/translate/translate/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="+html +ical +ini +subtitles +yaml"
+
+RDEPEND="
+ app-text/iso-codes
+ >=dev-python/chardet-3.0.4[${PYTHON_USEDEP}]
+ dev-python/cheroot[${PYTHON_USEDEP}]
+ >=dev-python/levenshtein-0.12.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/mistletoe-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-3[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ dev-python/tomlkit[${PYTHON_USEDEP}]
+ >=dev-python/unicode-segmentation-rs-0.2.0[${PYTHON_USEDEP}]
+ >=dev-python/wcwidth-0.2.14[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ html? ( dev-python/utidylib[${PYTHON_USEDEP}] )
+ ical? ( dev-python/vobject[${PYTHON_USEDEP}] )
+ ini? ( >=dev-python/iniparse-0.5[${PYTHON_USEDEP}] )
+ subtitles? ( media-video/gaupol[${PYTHON_USEDEP}] )
+ yaml? ( dev-python/pyyaml[${PYTHON_USEDEP}] )
+"
+# Technically, the test suite also has undeclared dependency
+# on dev-python/snapshottest but all the tests using it are broken
+# anyway, so we skip them.
+BDEPEND="
+ test? (
+ dev-python/phply[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # strip unnecessary pins
+ sed -i -e 's:,<[0-9.]*::' pyproject.toml || die
+}
+
+src_test() {
+ # unfortunately, this bad quality package doesn't support XDG_DATA_DIRS
+ # correctly, so we need to reassemble all data files in a single directory
+ local -x XDG_DATA_HOME=${T}/share
+ cp -r translate/share "${T}/" || die
+ cp -r "${ESYSROOT}"/usr/share/gaupol "${XDG_DATA_HOME}"/ || die
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Fails with network-sandbox (and even with it off but w/ softer fail)
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_open_office_to_xliff'
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_po_to_xliff'
+ # all tests based on snapshottest are broken and I'm too tired
+ # to figure this out
+ tests/translate/tools/test_pocount.py::test_{cases,output}
+ tests/translate/tools/test_junitmsgfmt.py::test_output
+ )
+ local EPYTEST_IGNORE=(
+ # unpackaged fluent.*
+ tests/translate/storage/test_fluent.py
+ # changes directory and does not change it back, sigh
+ tests/odf_xliff/test_odf_xliff.py
+ )
+
+ if ! has_version "dev-python/iniparse[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ translate/convert/test_ini2po.py
+ translate/convert/test_po2ini.py
+ )
+ fi
+
+ if ! has_version "media-video/gaupol[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ translate/storage/test_subtitles.py
+ )
+ fi
+
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ insinto /usr
+ doins -r translate/share
+
+ if ! use html; then
+ rm "${ED}"/usr/bin/{html2po,po2html} || die
+ fi
+ if ! use ical; then
+ rm "${ED}"/usr/bin/{ical2po,po2ical} || die
+ fi
+ if ! use ini; then
+ rm "${ED}"/usr/bin/{ini2po,po2ini} || die
+ fi
+ if ! use subtitles; then
+ rm "${ED}"/usr/bin/{sub2po,po2sub} || die
+ fi
+}
diff --git a/dev-python/vcrpy/Manifest b/dev-python/vcrpy/Manifest
index 7ec54968093f..2a1f13b1f391 100644
--- a/dev-python/vcrpy/Manifest
+++ b/dev-python/vcrpy/Manifest
@@ -1 +1,2 @@
DIST vcrpy-7.0.0.gh.tar.gz 339068 BLAKE2B 15ae3cdfa3ba6755c0d7b2a31b91a4465bd603a80ee2900207181ba95dca4b863d16cf44ae98b7cac35bd312daaa95ca882a2a9d75e46e2a48b788e7bf82ab51 SHA512 6e82f56adddc5b5e3d56c261e612af5a66daed6a3485dfc082be235e95901ceaae9aa83bab96cef19d8fbe35c27953b4b101fea702fd3a44cbe578c926990d87
+DIST vcrpy-8.0.0.gh.tar.gz 339334 BLAKE2B 5f3d6b4fe441b9e3f399db80a7f9f0a06c282e574d6c4689a6601b20a1d956c766c9bb83c7a24466e73066e99b873fbdab876332299961a4a3c14841973c7c55 SHA512 538e72148c74ccf0d2bf95e893e0a9c99d394446ce50c15bfc52ed96dd82dcec6edfaf5bf5152179061ff220636b73a28d5e9f195d7cd38ccdd7c3fdad07822e
diff --git a/dev-python/vcrpy/vcrpy-8.0.0.ebuild b/dev-python/vcrpy/vcrpy-8.0.0.ebuild
new file mode 100644
index 000000000000..921c76e7cda1
--- /dev/null
+++ b/dev-python/vcrpy/vcrpy-8.0.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Automatically mock your HTTP interactions to simplify and speed up testing"
+HOMEPAGE="
+ https://github.com/kevin1024/vcrpy/
+ https://pypi.org/project/vcrpy/
+"
+SRC_URI="
+ https://github.com/kevin1024/vcrpy/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/httplib2-0.9.1[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.16.2[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/wrapt[${PYTHON_USEDEP}]
+ dev-python/yarl[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/httpx[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-httpbin )
+EPYTEST_RERUNS=5
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # these tests are failing with recent dev-python/werkzeug; losely related:
+ # https://github.com/kevin1024/vcrpy/issues/645
+ tests/integration/test_record_mode.py::test_new_episodes_record_mode_two_times
+ tests/integration/test_urllib2.py::test_random_body
+ tests/integration/test_urllib2.py::test_multiple_requests
+ # Internet
+ "tests/integration/test_urllib3.py::test_post[https]"
+ )
+
+ local EPYTEST_IGNORE=(
+ # requires boto3
+ tests/integration/test_boto3.py
+ # Internet
+ tests/integration/test_tornado.py
+ tests/integration/test_aiohttp.py
+ )
+
+ local -x REQUESTS_CA_BUNDLE=$("${EPYTHON}" -m pytest_httpbin.certs)
+ epytest -m 'not online'
+}